Update Endpoint

Update an endpoint. This will replace all your endpoint parameters with the one you specify. If you don't specify a parameter, it will be erased. If you wish to update an endpoint partially, use PATCH /endpoint/{endpoint_id}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length between 1 and 256

The ep's ID or UID To retrieve your endpoints ids, use GET /endpoint.

Body Params
string

Description of your endpoint

uint16 | null
≥ 1

Rate limit of your endpoint in messages per second. This is an advanced field. Be aware that setting a low rateLimit can lead to a congestion queue and create delay in webhooks.

string | null

Optional unique identifier for the endpoint

uri
required

Public url in your services where you plan to receive our webhooks.

boolean
Defaults to false

When disabled is true, no messages will be sent to your endpoint. This can be used to deactivate a development or a testing endpoint when not in use.

filterTypes
array of strings | null
filterTypes
channels
array of strings | null

List of message channels this endpoint listens to (omit for all)

channels
metadata
object

Optional additional properties for your endpoint.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json